summaryrefslogtreecommitdiff
path: root/openstack-network.configure
diff options
context:
space:
mode:
authorPedro Alvarez <pedro.alvarez@codethink.co.uk>2015-04-07 13:53:25 +0000
committerPedro Alvarez <pedro.alvarez@codethink.co.uk>2015-04-07 14:18:55 +0000
commit05c289863130938859f0c7cf65fdf29302b3b004 (patch)
treecbb88731ed8746d03555dbfc6ab88e314217ebec /openstack-network.configure
parentfba0a496209923ad36ea7203bcf573a314a054e8 (diff)
downloaddefinitions-05c289863130938859f0c7cf65fdf29302b3b004.tar.gz
Unify openstack-network setup and openvswitch configure extensions.
If a system needs network configuration, it will also need openvswitch configured.
Diffstat (limited to 'openstack-network.configure')
-rw-r--r--openstack-network.configure26
1 files changed, 26 insertions, 0 deletions
diff --git a/openstack-network.configure b/openstack-network.configure
new file mode 100644
index 00000000..7f2a08cc
--- /dev/null
+++ b/openstack-network.configure
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Copyright (C) 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+ln -sf "/usr/lib/systemd/system/openvswitch-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openvswitch-setup.service"
+
+ln -sf "/usr/lib/systemd/system/openstack-network-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openstack-network-setup.service"